# Updating an existing Account Invitation

This endpoint returns structured Account Invitation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `account_invitations` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: PUT /account_invitations/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `default_role` (Role) - The default role of the account.
- `invitee` (User) - The new user who will receive the invitation.
- `inviter` (User) - The user who has sent the invitation.

## Request fields (application/json):

  - `account_invitation` (object)

  - `account_invitation.billability_target` (integer)

  - `account_invitation.bill_rate_in_cents` (integer)
    The default billing rate, in cents, for the user in a workspace on this account (when the workspace
does not use a rate card). This attribute can only be set if the current user is either an Administrator
or a Project Lead on the account.

  - `account_invitation.cost_rate_in_cents` (integer)
    The default cost rate used, in cents, for the user in a workspace on this account. This attribute can
only be set if the current user is an Administrator on the account.

  - `account_invitation.default_role_id` (integer)
    The internal ID for the default role specified to the invited user.

  - `account_invitation.permission` (string)
    The permission level of the invited user. See account_memberships for more details. Valid values
include administrator, reports_viewer_with_cost, reports_viewer, project_lead, project_creator, collaborator, and punch_clock.".

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

